Commit b62bfa0f authored by Uwe Schulzweida's avatar Uwe Schulzweida
Browse files

Proj 4 to 6 API Migration.

parent 56a64a85
...@@ -3,6 +3,10 @@ ...@@ -3,6 +3,10 @@
* Using CDI library version 1.9.8 * Using CDI library version 1.9.8
* Version 1.9.8 release * Version 1.9.8 release
2019-08-05 Oliver Heitmann
* Proj 4 to 6 API Migration
2019-07-28 Uwe Schulzweida 2019-07-28 Uwe Schulzweida
* remapConserv: optimized for changing masks * remapConserv: optimized for changing masks
......
...@@ -417,11 +417,10 @@ AC_ARG_WITH([proj], ...@@ -417,11 +417,10 @@ AC_ARG_WITH([proj],
[AS_CASE(["$with_proj"], [AS_CASE(["$with_proj"],
[no],[AC_MSG_CHECKING([for proj library]) [no],[AC_MSG_CHECKING([for proj library])
AC_MSG_RESULT([suppressed])], AC_MSG_RESULT([suppressed])],
[yes],[AC_CHECK_HEADERS([proj_api.h]) [yes],[AC_CHECK_HEADERS([proj.h])
AC_DEFINE(DACCEPT_USE_OF_DEPRECATED_PROJ_API_H) AC_SEARCH_LIBS([pj_init],
AC_SEARCH_LIBS([pj_init],[proj],[ [proj],
AC_DEFINE([HAVE_LIBPROJ],[1],[Define to 1 for PROJ support]), [AC_DEFINE([HAVE_LIBPROJ],[1],[Define to 1 for PROJ support])],
AC_DEFINE(DACCEPT_USE_OF_DEPRECATED_PROJ_API_H,[1],[Enable use of depricated proj_api]) ],
[AC_MSG_ERROR([Could not link to PROJ library!])]) [AC_MSG_ERROR([Could not link to PROJ library!])])
AC_SUBST([PROJ_LDFLAGS],[" -lproj "]) AC_SUBST([PROJ_LDFLAGS],[" -lproj "])
AC_SUBST([PROJ_INCLUDE],[""])], AC_SUBST([PROJ_INCLUDE],[""])],
...@@ -429,11 +428,10 @@ AC_ARG_WITH([proj], ...@@ -429,11 +428,10 @@ AC_ARG_WITH([proj],
AS_IF([test -d "$PROJ_ROOT"], AS_IF([test -d "$PROJ_ROOT"],
[LDFLAGS="-L$PROJ_ROOT/lib $LDFLAGS" [LDFLAGS="-L$PROJ_ROOT/lib $LDFLAGS"
CPPFLAGS="-I$PROJ_ROOT/include $CPPFLAGS" CPPFLAGS="-I$PROJ_ROOT/include $CPPFLAGS"
AC_CHECK_HEADERS([proj_api.h]) AC_CHECK_HEADERS([proj.h])
AC_SEARCH_LIBS([pj_init], AC_SEARCH_LIBS([pj_init],
[proj], [proj],
[AC_DEFINE([HAVE_LIBPROJ],[1],[Define to 1 for PROJ support]), [AC_DEFINE([HAVE_LIBPROJ],[1],[Define to 1 for PROJ support])],
AC_DEFINE(ACCEPT_USE_OF_DEPRECATED_PROJ_API_H,[1],[Enable use of depricated proj_api]) ],
[AC_MSG_ERROR([Could not link to PROJ library!])]) [AC_MSG_ERROR([Could not link to PROJ library!])])
AC_SUBST([PROJ_LDFLAGS],[" -L$PROJ_ROOT/lib -lproj"]) AC_SUBST([PROJ_LDFLAGS],[" -L$PROJ_ROOT/lib -lproj"])
AC_SUBST([PROJ_INCLUDE],[" -I$PROJ_ROOT/include"])], AC_SUBST([PROJ_INCLUDE],[" -I$PROJ_ROOT/include"])],
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment